log4cplus::TraceLogger Class Reference

This class is used to produce "Trace" logging. More...

`#include <tracelogger.h>`

## Public Member Functions

| TraceLogger (Logger l, log4cplus::tstring _msg, const char *_file=LOG4CPLUS_CALLER_FILE(), int _line=LOG4CPLUS_CALLER_LINE(), char const *_function=LOG4CPLUS_CALLER_FUNCTION())
| ~TraceLogger ()

## Detailed Description

This class is used to produce "Trace" logging.

When an instance of this class is created, it will log a `"ENTER: " + msg` log message if TRACE_LOG_LEVEL is enabled for `logger`. When an instance of this class is destroyed, it will log a `"ENTER: " + msg` log message if TRACE_LOG_LEVEL is enabled for `logger`.

See also
  LOG4CPLUS_TRACE

Definition at line 50 of file tracelogger.h.

## Constructor & Destructor Documentation

## TraceLogger()

log4cplus::TraceLogger::TraceLogger | ( | Logger | l,
|  | log4cplus::tstring | _msg,
|  | const char * | _file = LOG4CPLUS_CALLER_FILE (),
|  | int | _line = LOG4CPLUS_CALLER_LINE (),
|  | char const * | _function = LOG4CPLUS_CALLER_FUNCTION () )

inline

Definition at line 53 of file tracelogger.h.

References LOG4CPLUS_CALLER_FILE, LOG4CPLUS_CALLER_FUNCTION, LOG4CPLUS_CALLER_LINE, LOG4CPLUS_TEXT, and log4cplus::TRACE_LOG_LEVEL.

## ~TraceLogger()

log4cplus::TraceLogger::~TraceLogger | ( |  | ) |

inline

Definition at line 65 of file tracelogger.h.

References LOG4CPLUS_TEXT, and log4cplus::TRACE_LOG_LEVEL.

The documentation for this class was generated from the following file:

- tracelogger.h